complexType "DefaultProbabilityCurve"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 attributes, 9 elements
Defined: | globally in fpml-mktenv-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, baseDate?, spotDate?, inputDataDate?, endDate?, buildDateTime?, baseYieldCurve?, defaultProbabilities?
</...>

Content Model Elements (9):

  baseDate,
  baseYieldCurve,
  buildDateTime,
  defaultProbabilities,
  endDate (defined in PricingInputDates.model group),
  inputDataDate,
  objectReference,
  spotDate,
  valuationScenarioReference (defined in Valuation complexType)

All Direct / Indirect Based Elements (1):

  defaultProbabilityCurve

Known Usage Locations

- As direct type of elements (1):
  defaultProbabilityCurve

Annotation
A set of default probabilities.
Type Definition Detail

Type Derivation Tree Valuation (extension) PricingStructureValuation (extension) DefaultProbabilityCurve

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DefaultProbabilityCurve"> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="baseYieldCurve" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="defaultProbabilities" type="TermCurve"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/9)
baseYieldCurve

  Type: | PricingStructureReference, empty content

  A reference to the yield curve values used as a basis for this credit curve valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseYieldCurve" type="PricingStructureReference"/>

defaultProbabilities

  Type: | TermCurve, complex content

  A collection of default probabilities.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="defaultProbabilities" type="TermCurve"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.